Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network211.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
211.0.0.0
Broadcast address
211.255.255.255
First usable
211.0.0.1
Last usable
211.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex D3000000 · Integer 3539992576 to 3556769791
Reverse DNS zone
211.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010011..00000000.00000000.00000000211.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11010011..00000000.00000000.00000000211.0.0.0
Broadcast11010011..11111111.11111111.11111111211.255.255.255
Split into smaller subnets/15

211.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1211.0.0.0/15211.0.0.1 to 211.1.255.254211.1.255.255131,070
2211.2.0.0/15211.2.0.1 to 211.3.255.254211.3.255.255131,070
3211.4.0.0/15211.4.0.1 to 211.5.255.254211.5.255.255131,070
4211.6.0.0/15211.6.0.1 to 211.7.255.254211.7.255.255131,070
5211.8.0.0/15211.8.0.1 to 211.9.255.254211.9.255.255131,070
6211.10.0.0/15211.10.0.1 to 211.11.255.254211.11.255.255131,070
7211.12.0.0/15211.12.0.1 to 211.13.255.254211.13.255.255131,070
8211.14.0.0/15211.14.0.1 to 211.15.255.254211.15.255.255131,070
9211.16.0.0/15211.16.0.1 to 211.17.255.254211.17.255.255131,070
10211.18.0.0/15211.18.0.1 to 211.19.255.254211.19.255.255131,070
11211.20.0.0/15211.20.0.1 to 211.21.255.254211.21.255.255131,070
12211.22.0.0/15211.22.0.1 to 211.23.255.254211.23.255.255131,070
13211.24.0.0/15211.24.0.1 to 211.25.255.254211.25.255.255131,070
14211.26.0.0/15211.26.0.1 to 211.27.255.254211.27.255.255131,070
15211.28.0.0/15211.28.0.1 to 211.29.255.254211.29.255.255131,070
16211.30.0.0/15211.30.0.1 to 211.31.255.254211.31.255.255131,070
17211.32.0.0/15211.32.0.1 to 211.33.255.254211.33.255.255131,070
18211.34.0.0/15211.34.0.1 to 211.35.255.254211.35.255.255131,070
19211.36.0.0/15211.36.0.1 to 211.37.255.254211.37.255.255131,070
20211.38.0.0/15211.38.0.1 to 211.39.255.254211.39.255.255131,070
21211.40.0.0/15211.40.0.1 to 211.41.255.254211.41.255.255131,070
22211.42.0.0/15211.42.0.1 to 211.43.255.254211.43.255.255131,070
23211.44.0.0/15211.44.0.1 to 211.45.255.254211.45.255.255131,070
24211.46.0.0/15211.46.0.1 to 211.47.255.254211.47.255.255131,070
25211.48.0.0/15211.48.0.1 to 211.49.255.254211.49.255.255131,070
26211.50.0.0/15211.50.0.1 to 211.51.255.254211.51.255.255131,070
27211.52.0.0/15211.52.0.1 to 211.53.255.254211.53.255.255131,070
28211.54.0.0/15211.54.0.1 to 211.55.255.254211.55.255.255131,070
29211.56.0.0/15211.56.0.1 to 211.57.255.254211.57.255.255131,070
30211.58.0.0/15211.58.0.1 to 211.59.255.254211.59.255.255131,070
31211.60.0.0/15211.60.0.1 to 211.61.255.254211.61.255.255131,070
32211.62.0.0/15211.62.0.1 to 211.63.255.254211.63.255.255131,070
33211.64.0.0/15211.64.0.1 to 211.65.255.254211.65.255.255131,070
34211.66.0.0/15211.66.0.1 to 211.67.255.254211.67.255.255131,070
35211.68.0.0/15211.68.0.1 to 211.69.255.254211.69.255.255131,070
36211.70.0.0/15211.70.0.1 to 211.71.255.254211.71.255.255131,070
37211.72.0.0/15211.72.0.1 to 211.73.255.254211.73.255.255131,070
38211.74.0.0/15211.74.0.1 to 211.75.255.254211.75.255.255131,070
39211.76.0.0/15211.76.0.1 to 211.77.255.254211.77.255.255131,070
40211.78.0.0/15211.78.0.1 to 211.79.255.254211.79.255.255131,070
41211.80.0.0/15211.80.0.1 to 211.81.255.254211.81.255.255131,070
42211.82.0.0/15211.82.0.1 to 211.83.255.254211.83.255.255131,070
43211.84.0.0/15211.84.0.1 to 211.85.255.254211.85.255.255131,070
44211.86.0.0/15211.86.0.1 to 211.87.255.254211.87.255.255131,070
45211.88.0.0/15211.88.0.1 to 211.89.255.254211.89.255.255131,070
46211.90.0.0/15211.90.0.1 to 211.91.255.254211.91.255.255131,070
47211.92.0.0/15211.92.0.1 to 211.93.255.254211.93.255.255131,070
48211.94.0.0/15211.94.0.1 to 211.95.255.254211.95.255.255131,070
49211.96.0.0/15211.96.0.1 to 211.97.255.254211.97.255.255131,070
50211.98.0.0/15211.98.0.1 to 211.99.255.254211.99.255.255131,070
51211.100.0.0/15211.100.0.1 to 211.101.255.254211.101.255.255131,070
52211.102.0.0/15211.102.0.1 to 211.103.255.254211.103.255.255131,070
53211.104.0.0/15211.104.0.1 to 211.105.255.254211.105.255.255131,070
54211.106.0.0/15211.106.0.1 to 211.107.255.254211.107.255.255131,070
55211.108.0.0/15211.108.0.1 to 211.109.255.254211.109.255.255131,070
56211.110.0.0/15211.110.0.1 to 211.111.255.254211.111.255.255131,070
57211.112.0.0/15211.112.0.1 to 211.113.255.254211.113.255.255131,070
58211.114.0.0/15211.114.0.1 to 211.115.255.254211.115.255.255131,070
59211.116.0.0/15211.116.0.1 to 211.117.255.254211.117.255.255131,070
60211.118.0.0/15211.118.0.1 to 211.119.255.254211.119.255.255131,070
61211.120.0.0/15211.120.0.1 to 211.121.255.254211.121.255.255131,070
62211.122.0.0/15211.122.0.1 to 211.123.255.254211.123.255.255131,070
63211.124.0.0/15211.124.0.1 to 211.125.255.254211.125.255.255131,070
64211.126.0.0/15211.126.0.1 to 211.127.255.254211.127.255.255131,070
65211.128.0.0/15211.128.0.1 to 211.129.255.254211.129.255.255131,070
66211.130.0.0/15211.130.0.1 to 211.131.255.254211.131.255.255131,070
67211.132.0.0/15211.132.0.1 to 211.133.255.254211.133.255.255131,070
68211.134.0.0/15211.134.0.1 to 211.135.255.254211.135.255.255131,070
69211.136.0.0/15211.136.0.1 to 211.137.255.254211.137.255.255131,070
70211.138.0.0/15211.138.0.1 to 211.139.255.254211.139.255.255131,070
71211.140.0.0/15211.140.0.1 to 211.141.255.254211.141.255.255131,070
72211.142.0.0/15211.142.0.1 to 211.143.255.254211.143.255.255131,070
73211.144.0.0/15211.144.0.1 to 211.145.255.254211.145.255.255131,070
74211.146.0.0/15211.146.0.1 to 211.147.255.254211.147.255.255131,070
75211.148.0.0/15211.148.0.1 to 211.149.255.254211.149.255.255131,070
76211.150.0.0/15211.150.0.1 to 211.151.255.254211.151.255.255131,070
77211.152.0.0/15211.152.0.1 to 211.153.255.254211.153.255.255131,070
78211.154.0.0/15211.154.0.1 to 211.155.255.254211.155.255.255131,070
79211.156.0.0/15211.156.0.1 to 211.157.255.254211.157.255.255131,070
80211.158.0.0/15211.158.0.1 to 211.159.255.254211.159.255.255131,070
81211.160.0.0/15211.160.0.1 to 211.161.255.254211.161.255.255131,070
82211.162.0.0/15211.162.0.1 to 211.163.255.254211.163.255.255131,070
83211.164.0.0/15211.164.0.1 to 211.165.255.254211.165.255.255131,070
84211.166.0.0/15211.166.0.1 to 211.167.255.254211.167.255.255131,070
85211.168.0.0/15211.168.0.1 to 211.169.255.254211.169.255.255131,070
86211.170.0.0/15211.170.0.1 to 211.171.255.254211.171.255.255131,070
87211.172.0.0/15211.172.0.1 to 211.173.255.254211.173.255.255131,070
88211.174.0.0/15211.174.0.1 to 211.175.255.254211.175.255.255131,070
89211.176.0.0/15211.176.0.1 to 211.177.255.254211.177.255.255131,070
90211.178.0.0/15211.178.0.1 to 211.179.255.254211.179.255.255131,070
91211.180.0.0/15211.180.0.1 to 211.181.255.254211.181.255.255131,070
92211.182.0.0/15211.182.0.1 to 211.183.255.254211.183.255.255131,070
93211.184.0.0/15211.184.0.1 to 211.185.255.254211.185.255.255131,070
94211.186.0.0/15211.186.0.1 to 211.187.255.254211.187.255.255131,070
95211.188.0.0/15211.188.0.1 to 211.189.255.254211.189.255.255131,070
96211.190.0.0/15211.190.0.1 to 211.191.255.254211.191.255.255131,070
97211.192.0.0/15211.192.0.1 to 211.193.255.254211.193.255.255131,070
98211.194.0.0/15211.194.0.1 to 211.195.255.254211.195.255.255131,070
99211.196.0.0/15211.196.0.1 to 211.197.255.254211.197.255.255131,070
100211.198.0.0/15211.198.0.1 to 211.199.255.254211.199.255.255131,070
101211.200.0.0/15211.200.0.1 to 211.201.255.254211.201.255.255131,070
102211.202.0.0/15211.202.0.1 to 211.203.255.254211.203.255.255131,070
103211.204.0.0/15211.204.0.1 to 211.205.255.254211.205.255.255131,070
104211.206.0.0/15211.206.0.1 to 211.207.255.254211.207.255.255131,070
105211.208.0.0/15211.208.0.1 to 211.209.255.254211.209.255.255131,070
106211.210.0.0/15211.210.0.1 to 211.211.255.254211.211.255.255131,070
107211.212.0.0/15211.212.0.1 to 211.213.255.254211.213.255.255131,070
108211.214.0.0/15211.214.0.1 to 211.215.255.254211.215.255.255131,070
109211.216.0.0/15211.216.0.1 to 211.217.255.254211.217.255.255131,070
110211.218.0.0/15211.218.0.1 to 211.219.255.254211.219.255.255131,070
111211.220.0.0/15211.220.0.1 to 211.221.255.254211.221.255.255131,070
112211.222.0.0/15211.222.0.1 to 211.223.255.254211.223.255.255131,070
113211.224.0.0/15211.224.0.1 to 211.225.255.254211.225.255.255131,070
114211.226.0.0/15211.226.0.1 to 211.227.255.254211.227.255.255131,070
115211.228.0.0/15211.228.0.1 to 211.229.255.254211.229.255.255131,070
116211.230.0.0/15211.230.0.1 to 211.231.255.254211.231.255.255131,070
117211.232.0.0/15211.232.0.1 to 211.233.255.254211.233.255.255131,070
118211.234.0.0/15211.234.0.1 to 211.235.255.254211.235.255.255131,070
119211.236.0.0/15211.236.0.1 to 211.237.255.254211.237.255.255131,070
120211.238.0.0/15211.238.0.1 to 211.239.255.254211.239.255.255131,070
121211.240.0.0/15211.240.0.1 to 211.241.255.254211.241.255.255131,070
122211.242.0.0/15211.242.0.1 to 211.243.255.254211.243.255.255131,070
123211.244.0.0/15211.244.0.1 to 211.245.255.254211.245.255.255131,070
124211.246.0.0/15211.246.0.1 to 211.247.255.254211.247.255.255131,070
125211.248.0.0/15211.248.0.1 to 211.249.255.254211.249.255.255131,070
126211.250.0.0/15211.250.0.1 to 211.251.255.254211.251.255.255131,070
127211.252.0.0/15211.252.0.1 to 211.253.255.254211.253.255.255131,070
128211.254.0.0/15211.254.0.1 to 211.255.255.254211.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses